> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update available quantity

> Update available quantity of a product variant in a specific location



## OpenAPI

````yaml post /consumers/{consumer_id}/commerce/variants/set_quantity/{variant_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/commerce/variants/set_quantity/{variant_id}:
    post:
      tags:
        - eCommerce
        - Products and variants
      summary: Update available quantity
      description: Update available quantity of a product variant in a specific location
      operationId: ecommerce_update_variant_quantity
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: variant_id
          in: path
          required: true
          schema:
            type: string
            title: Variant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InventoryDetailsUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryDetailsItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                Variant not found:
                  value:
                    message: The variant doesn't exist.
                    status: error
                Location not found:
                  value:
                    message: The location doesn't exist.
                    status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - commerce
            - commerce.products_variants
components:
  schemas:
    InventoryDetailsUpdate:
      properties:
        location_id:
          type: string
          title: Location Id
          description: Technical id of the location in Chift
        available_quantity:
          type: number
          minimum: 0
          title: Available Quantity
      type: object
      required:
        - location_id
        - available_quantity
      title: InventoryDetailsUpdate
    InventoryDetailsItem:
      properties:
        location:
          $ref: '#/components/schemas/CommerceLocationItem'
        available_quantity:
          type: number
          title: Available Quantity
      type: object
      required:
        - location
        - available_quantity
      title: InventoryDetailsItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    CommerceLocationItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id of the location in Chift
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: CommerceLocationItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````